### Method

# FwupdPlugin Efivars get_monitor

#### Declaration [src]

    GFileMonitor*
    fu_efivars_get_monitor (
      FuEfivars* self,
      const gchar* guid,
      const gchar* name,
      GError** error
    )

#### Description [src]

Returns a file monitor for a specific key.

Available since: | 2.0.0

#### Parameters

`guid` | `const gchar*`
| Globally unique identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`name` | `const gchar*`
| Variable name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GFileMonitor`
| A `GFileMonitor`, or `NULL` for an error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.